import { $get, $post } from "@/plugins/axios";

export const uploadFormalImage = (options, datas, config) => {
  return $post(
    `/api/file/image/uploadsheet/${options.examId}/${options.subjectId}/${options.examNumber}`,
    datas,
    config
  );
};
export const uploadSliceImage = (options, datas, config) => {
  return $post(
    `/api/file/image/upload/${options.examId}/${options.subjectId}/${options.examNumber}`,
    datas,
    config
  );
};
export const getStudentGroupByExamNumber = datas => {
  return $post("/backend/course/updateCourseStatus", datas);
};
export const uploadStudent = datas => {
  return $post(`/api/upload/student/${datas.subjectId}`, datas);
};
export const saveCollectLog = datas => {
  return $post(`/marklog/saveCollectLog`, { ...datas, workId: datas.examId });
};

// course-manage
export const courseList = datas => {
  return $get("/backend/course/listCoursePage", datas);
};
export const updateCourseStatus = ({ id, status }) => {
  return $post("/backend/course/updateCourseStatus", { id, status });
};
